<li class="list-group-item" 
    *ngIf="employee.name !== ''">
      <span *ngIf="!editable">{{ employee.name }}</span>
      
      <input type="text" 
            *ngIf="editable" 
            value="{{employee.name}}"
            (keyup)="changeName($event)">

      <div class="float-right">
        <button class="btn btn-primary btn-sm" (click)="editRow()" *ngIf="!editable">Edit</button>
        <button class="btn btn-primary btn-sm" (click)="saveRow()" *ngIf="editable">Save</button>
        <button class="btn btn-danger btn-sm" (click)="deleteRow()">Delete</button>
      </div>
</li>